Bug 2029835

Summary: CSI migration for vSphere: Inline-volume tests failing
Product: OpenShift Container Platform Reporter: Fabio Bertinatto <fbertina>
Component: StorageAssignee: Jan Safranek <jsafrane>
Storage sub component: Kubernetes External Components QA Contact: Penghao Wang <pewang>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: unspecified CC: aos-bugs, jsafrane, pewang, rvanderp
Version: 4.10   
Target Milestone: ---   
Target Release: 4.11.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-08-10 10:40:31 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Fabio Bertinatto 2021-12-07 12:28:57 UTC
Once CSI migration is enabled for vSphere, the following tests are consistently failing:

[sig-storage] In-tree Volumes [Driver: vsphere] [Testpattern: Inline-volume (ext4)] volumes should store data [Suite:openshift/conformance/parallel] [Suite:k8s] 
[sig-storage] In-tree Volumes [Driver: vsphere] [Testpattern: Inline-volume (default fs)] volumes should store data [Suite:openshift/conformance/parallel]

Example:

https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_vmware-vsphere-csi-driver/26/pull-ci-openshift-vmware-vsphere-csi-driver-master-e2e-vsphere-csi-migration/1466045629896593408

Comment 1 Fabio Bertinatto 2021-12-07 12:31:44 UTC
According to this documentation [1], inline volumes in the pod spec is NOT supported by the vSphere CSI driver.

This could explain why these tests are failing. I asked VMware folks upstream in this [2] Slack thread, but I haven't received any answer yet.

[1] https://github.com/kubernetes-sigs/vsphere-csi-driver/blob/0a161f70ab0be8a8c86e1577363fcb3266c40508/docs/book/features/vsphere_csi_migration.md#introduction-
[2] https://kubernetes.slack.com/archives/CG04EL876/p1637778298061600?thread_ts=1637169948.057700&cid=CG04EL876

Comment 3 Jan Safranek 2021-12-20 09:50:48 UTC
Upstream PR: https://github.com/kubernetes-sigs/vsphere-csi-driver/pull/1451

Comment 13 Jan Safranek 2022-01-05 14:18:48 UTC
I filed https://github.com/kubernetes-sigs/vsphere-csi-driver/issues/1466 upstream.

Comment 14 Jan Safranek 2022-01-06 13:35:55 UTC
Upstream fix for the CSI driver: https://github.com/kubernetes-sigs/vsphere-csi-driver/pull/1468

Comment 19 Jan Safranek 2022-02-24 10:57:01 UTC
They broke CSI migration upstream, I filed https://github.com/kubernetes-sigs/vsphere-csi-driver/issues/1600

Comment 20 Jan Safranek 2022-03-11 11:58:29 UTC
*** Bug 2062907 has been marked as a duplicate of this bug. ***

Comment 21 Jan Safranek 2022-03-11 12:01:27 UTC
This now breaks CI: appears to have started failing on March 8: https://prow.ci.openshift.org/job-history/gs/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.11-e2e-vsphere-techpreview

Comment 26 errata-xmlrpc 2022-08-10 10:40:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069